request.h File Reference
`#include <core/trust/tagged_integer.h>`
`#include <core/trust/visibility.h>`
`#include <cstdint>`
`#include <chrono>`
`#include <memory>`
`#include <ostream>`
`#include <string>`
Include dependency graph for request.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | core::trust::Request
| The Request struct encapsulates information about a trust request answered by the user. More...
struct | core::trust::RequestParameters
| Summarizes all parameters for processing a trust request. More...

## Namespaces

| core
| core::trust
| Contains functionality for implementing Ubuntu's trust model.

## Functions

CORE_TRUST_DLL_PUBLIC bool | core::trust::operator== (const Request &lhs, const Request &rhs)
| operator == compares two Requests for equality. More...
CORE_TRUST_DLL_PUBLIC std::ostream & | core::trust::operator<< (std::ostream &out, const Request::Answer &a)
| operator << pretty prints answers to the provided output stream. More...
CORE_TRUST_DLL_PUBLIC std::ostream & | core::trust::operator<< (std::ostream &out, const Request &r)
| operator << pretty prints a request to the provided output stream. More...
CORE_TRUST_DLL_PUBLIC Request::Answer | core::trust::process_trust_request (const RequestParameters &params)
| Processes an incoming trust-request by an application, tries to lookup a previous reply before issuing a prompt request via the given agent to the user. On return, the given trust-store is up-to-date. More...